%global snap snapshot
%global svn 20130301
Name:		kbibtex
Version:	0.4+svn%{svn}
Release:	1%{?dist}
Summary:	A BibTeX editor for KDE

Group:		Applications/Editors
License:	GPLv2+
URL:		https://gna.org/projects/kbibtex/
Source0:	http://svn.gna.org/daily/%{name}-%{snap}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	kdelibs4-devel libxslt-devel desktop-file-utils gettext poppler-qt-devel
Requires:	kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
Requires:	hicolor-icon-theme

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
KBibTeX is a BibTeX editor for KDE

%package	devel
Group:		Development/Libraries
Summary:	Devel files for Kbibtex
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel contains the header files 
you'll need to develop applications using kbibtex components

%prep
%setup -q -n %{name}

%build
cmake -DCMAKE_BUILD_TYPE=release -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_C_FLAGS:STRING="%{optflags}" -DCMAKE_CXX_FLAGS:STRING="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Fix permission for the desktop file
chmod 0755 $RPM_BUILD_ROOT/%{_kde4_datadir}/applications/kde4/%{name}.desktop

%find_lang %{name}

%post
/sbin/ldconfig
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun -p /sbin/ldconfig

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc README LICENSE
%{_bindir}/kbibtex
%{_libdir}/libkbibtex*
%{_kde4_libdir}/kde4/kbibtexpart.so
%{_kde4_libdir}/libkbibtex*.so
%{_kde4_datadir}/applications/kde4/kbibtex.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/config/kbibtexrc
%{_kde4_appsdir}/%{name}/
%{_kde4_appsdir}/kbibtexpart/kbibtexpartui.rc
%{_kde4_datadir}/kde4/services/kbibtexpart.desktop
%{_datadir}/mime/packages/bibliography.xml
%{_mandir}/man1/kbibtex.1.*

%files devel
%{_kde4_includedir}/%{name}


%changelog
* Fri Mar 1 2013 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20130301-1
 - New build from SVN 20130301 

* Tue Feb 26 2013 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20130226-1
 - New build from SVN 20130226 

* Thu Feb 21 2013 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20130221-1
 - New build from SVN 20130221 

* Mon Dec 31 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20121231-1
 - New build from SVN 20121231 

* Tue Dec 11 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20121211-1
 - New build from SVN 20121211 

* Thu Nov 22 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20121122-1
 - New build from SVN 20121122 

* Tue Nov 6 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20121106-1
 - New build from SVN 20121106 

* Wed Oct 31 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20121031-1
 - New build from SVN 20121031 

* Fri Oct 5 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20121005-1
 - New build from SVN 20121005 

* Mon Oct 1 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20121001-1
 - New build from SVN 20121001 

* Wed Sep 26 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20120926-1
 - New build from SVN 20120926 

* Sat Aug 18 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20120818-1
 - New build from SVN 20120818 

* Mon Aug 13 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20120813-1
 - New build from SVN 20120813 

* Thu Aug 9 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20120809-1
 - New build from SVN 20120809 

* Fri Jul 6 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20120706-1
 - New build from SVN 20120706 

* Fri May 11 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20120511-1
 - New build from SVN 20120511 

* Mon Apr 2 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20120402-1
 - New build from SVN 20120402 

* Tue Feb 21 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20120221-1
 - New build from SVN 20120221 

* Thu Jan 26 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20120126-1
 - New build from SVN 20120126 

* Mon Jan 9 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20120109-1
 - New build from SVN 20120109 

* Sun Jan 1 2012 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20120101-1
 - New build from SVN 20120101 

* Wed Dec 7 2011 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20111207-1
 - New build from SVN 20111207 

* Tue Nov 29 2011 Thibault North <tnorth@fedoraproject.org> - 0.4+svn20111129-1
 - New build from SVN 20111129 

* Thu Mar 3 2011 Thibault North <tnorth@fedoraproject.org> - 0.3+svn-1
- Initial package
